commit:     d09e23d78db4632f8d5e72382eca67be5d4e91d1
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Thu Apr 23 21:23:17 2020 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Thu Apr 23 21:24:13 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d09e23d7

app-emulation/fs-uae-launcher: Fix following eclass changes, add Py3.8

Closes: https://bugs.gentoo.org/718372
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 .../fs-uae-launcher/fs-uae-launcher-3.0.3.ebuild     | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

diff --git a/app-emulation/fs-uae-launcher/fs-uae-launcher-3.0.3.ebuild 
b/app-emulation/fs-uae-launcher/fs-uae-launcher-3.0.3.ebuild
index 53aa235293c..14013d591da 100644
--- a/app-emulation/fs-uae-launcher/fs-uae-launcher-3.0.3.ebuild
+++ b/app-emulation/fs-uae-launcher/fs-uae-launcher-3.0.3.ebuild
@@ -3,10 +3,11 @@
 
 EAPI=7
 
-PYTHON_COMPAT=( python3_{6,7} )
+PYTHON_COMPAT=( python3_{6,7,8} )
 DISTUTILS_SINGLE_IMPL=1
+DISTUTILS_USE_SETUPTOOLS=no
 
-inherit distutils-r1 xdg-utils
+inherit distutils-r1 xdg
 
 DESCRIPTION="PyQt5-based launcher for FS-UAE"
 HOMEPAGE="https://fs-uae.net/";
@@ -26,7 +27,7 @@ RDEPEND="
        ')
 "
 
-DEPEND="
+BDEPEND="
        sys-devel/gettext
 "
 
@@ -39,19 +40,21 @@ src_prepare() {
 
        # Unbundle OpenGL library. Keep oyoyo IRC library because upstream
        # is long dead and it's not worth packaging separately.
-       rm -r OpenGL || die
+       rm -r OpenGL/ || die
        sed -i -r "/OpenGL/d" setup.py || die
 }
 
-src_compile() {
+python_compile_all() {
        emake
 }
 
-src_install() {
+python_install() {
        local dir=${EPREFIX}/usr/share/${PN}
        distutils-r1_python_install --install-lib="${dir}" 
--install-scripts="${dir}"
-       dosym ../share/${PN}/${PN} /usr/bin/${PN}
+}
 
+python_install_all() {
+       dosym ../share/${PN}/${PN} /usr/bin/${PN}
        emake install-data DESTDIR="${D}" prefix="${EPREFIX}"/usr
        mv "${ED}"/usr/share/doc/{${PN},${PF}} || die
 }
@@ -73,6 +76,3 @@ pkg_postinst() {
        elog "   Alternatively, you can start FS-UAE and/or FS-UAE Launcher 
with"
        elog "   --base-dir=/path/to/desired/dir"
 }
-
-pkg_postinst() { xdg_icon_cache_update; }
-pkg_postrm() { xdg_icon_cache_update; }

Reply via email to